Groovy Documentation

## org.codehaus.groovy.grails.web.taglib.jsp
[Java] Class JspLinkTag

    java.lang.Object
      javax.servlet.jsp.tagext.BodyTagSupport
          org.codehaus.groovy.grails.web.taglib.jsp.JspInvokeGrailsTagLibTag
              org.codehaus.groovy.grails.web.taglib.jsp.JspLinkTag

    public class JspLinkTag
    extends JspInvokeGrailsTagLibTag

A JSP facade that delegates to the Grails taglib link tag.

Authors:
  Graeme Rocher

Field Summary

Fields inherited from class JspInvokeGrailsTagLibTag
attributes

Constructor Summary
`JspLinkTag()`

Method Summary
`java.lang.String` | `getAction()`
`java.lang.String` | `getController()`
`java.lang.String` | `getId()`
`java.lang.String` | `getUrl()`
`void` | `setAction(java.lang.String action)`
`void` | `setController(java.lang.String controller)`
`void` | `setId(java.lang.String id)`
`void` | `setUrl(java.lang.String url)`

Methods inherited from class JspInvokeGrailsTagLibTag
doAfterBody, doEndTag, doStartTag, doStartTagInternal, getTagName, setDynamicAttribute, setTagName

Constructor Detail

### JspLinkTag

    public JspLinkTag()

Method Detail

### getAction

    public java.lang.String getAction()

### getController

    public java.lang.String getController()

### getId

    @Override
    public java.lang.String getId()

### getUrl

    public java.lang.String getUrl()

### setAction

    public void setAction(java.lang.String action)

### setController

    public void setController(java.lang.String controller)

### setId

    @Override
    public void setId(java.lang.String id)

### setUrl

    public void setUrl(java.lang.String url)

Groovy Documentation